Subject: [TR] SU H6 Carb Part Need

From: "Jim Henningsen" <[email-masked]>
Date: Sun, 16 Sep 2018 20:24:45 -0400

Anyone have a spare SU H6 piston dome? Carbs on my 61 TR3A.  I believe I may
need another as the tolerance is too tight to get the piston to move up and
down easily and get the audible click. If you have one, please contact me
directly.
Thanks,
Jim Henningsen 

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive